#include <bits/stdc++.h>
#include "testlib.h"
using namespace std;
const double eps = 1e-9;
int main(int argc, char* argv[]) {
	registerInteraction(argc, argv);
	int n = inf.readInt(), m = inf.readInt();
	string s = inf.readToken();
	cout << n << " " << m << '\n';
	cout << s << endl;
	string token = ouf.readToken();
	double score = ouf.readDouble();
	int max_c = ouf.readInt(), final_ans = ouf.readInt();
	int real_ans = ans.readInt();
	if (token != "secret_token_1145141919810ca942c86-e693-4b21-86e1-85f0c405ed40") quitf(_wa, "Wrong token: %s", token.c_str());
	if (final_ans != real_ans) quitf(_wa, "Wrong answer: %d, expected: %d", final_ans, real_ans);
	if (score < 0) score = 0;
	if (score > 100) score = 100;
	quitp(score / 100.0 + eps, "Score: %.2lf, Total Communication: %d bytes", score + eps, max_c);
}
